This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 990308 - Secure printing on M5035 does not ask for PIN
Secure printing on M5035 does not ask for PIN
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: hplip (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-30 16:51 EDT by Jan-Michael Brummer
Modified: 2015-02-17 11:27 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:27:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
TCP dump of a document printed with pin enabled (14.19 KB, application/postscript)
2013-07-30 16:51 EDT, Jan-Michael Brummer
no flags Details
TCP dump of a document printed with pin disabled (14.19 KB, application/postscript)
2013-07-30 16:52 EDT, Jan-Michael Brummer
no flags Details
troubleshoot.txt (88.13 KB, text/plain)
2013-08-19 16:18 EDT, Jan-Michael Brummer
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1206985 None None None Never
Launchpad 1223457 None None None Never

  None (edit)
Description Jan-Michael Brummer 2013-07-30 16:51:46 EDT
Created attachment 780836 [details]
TCP dump of a document printed with pin enabled

Description of problem:
Printing a document with secure printing enabled prints the document immediately without asking for a PIN 

Version-Release number of selected component (if applicable):
3.13.6 and 3.13.7

How reproducible:
Always

Steps to Reproduce:
1. Select document to print
2. Enable secure printing in the options and set pin code
3. Hit print button

Actual results:
Printer immediately starts the job without prior asking for the user/PIN code

Expected results:
Printer asks for user and PIN code before printing the document.

Additional info:
I've added the tcp stream of a job printed with and one without secure printing enabled. Obviously the PJL header containing the secure printing hints is missing in both printed documents.
Comment 1 Jan-Michael Brummer 2013-07-30 16:52:57 EDT
Created attachment 780837 [details]
TCP dump of a document printed with pin disabled
Comment 2 Tim Waugh 2013-07-31 12:03:40 EDT
Looks like this only works if the PPD options are sent as job options for the job.
Comment 3 Tim Waugh 2013-08-05 10:47:42 EDT
Please use the printing troubleshooter and attach the resulting troubleshoot.txt file.

https://fedoraproject.org/wiki/How_to_debug_printing_problems#Printing_troubleshooter
Comment 4 Jan-Michael Brummer 2013-08-19 16:18:23 EDT
Created attachment 788194 [details]
troubleshoot.txt

Sorry for the long delay, finally I'm back from vacation. I'm attaching the requested troubleshoot.txt
Comment 5 Jan-Michael Brummer 2013-09-03 11:49:56 EDT
I did a small comparison with Ubuntu, where pin printing works. The big important difference is that in ubuntu hpps filter is invoked and not in fedora. According to the hpps source it is responsible for pin printing and the missing pjl header. So how can we add hpps to the filter list?
Comment 6 Jan-Michael Brummer 2013-09-05 11:52:29 EDT
The reason for secure printing not working with the M5035 model is the missing filter line

*cupsFilter: "application/vnd.cups-postscript 0 hpps"

in the printer PPD file. As soon as it is added secure printing works fine! So, can you please add it to the official PPD file?
Comment 7 Fedora End Of Life 2015-01-09 14:11:02 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2015-02-17 11:27:31 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.